## org.apache.mahout.common.parameters
Interface Parameter<T>

All Superinterfaces:
  Parametered

All Known Implementing Classes:
  AbstractParameter, ClassParameter, DoubleParameter, PathParameter

    public interface Parameter<T>

extends Parametered

An accessor to a parameters in the job. This is a composite entity that can it self contain more parameters. Say the parameters describes what DistanceMeasure class to use, once set this parameters would also produce the parameters available in that DistanceMeasure implementation.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mahout.common.parameters.Parametered
`Parametered.ParameteredGeneralizations`

Field Summary

Fields inherited from interface org.apache.mahout.common.parameters.Parametered
`log`

Method Summary
`String` `defaultValue()`
`String` `description()`
`T` `get()`
`String` `getStringValue()`
`String` `name()`
`String` `prefix()`
`void` `set(T value)`
`void` `setStringValue(String stringValue)`
`Class<T>` `type()`

Methods inherited from interface org.apache.mahout.common.parameters.Parametered
`configure, createParameters, getParameters`

Method Detail

### prefix

    String prefix()

  Returns:
    job configuration setting key prefix, e.g. 'org.apache.mahout.util.WeightedDistanceMeasure.'

### name

    String name()

  Returns:
    configuration parameters name, e.g. 'weightsFile'

### description

    String description()

  Returns:
    human readable description of parameters

### type

    Class<T> type()

  Returns:
    value class type

### setStringValue

    void setStringValue(String stringValue)

  Parameters:
    `stringValue` - value string representation

### getStringValue

    String getStringValue()

  Returns:
    value string representation of current value

### set

    void set(T value)

  Parameters:
    `value` - new parameters value

### get

    T get()

  Returns:
    current parameters value

### defaultValue

    String defaultValue()

  Returns:
    value used if not set by consumer

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.